
Redmine - Patch #35466

Rename test/fixtures/configuration/*.yml.example to test/fixtures/files/configuration/*.yml

2021-06-26 06:27 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

The test suite has some YAML files that are used by test/unit/lib/redmine/configuration_test.rb. And the YAML files have a file

extension ".yml.example" instead of the standard ".yml". This is to prevent "rake db:fixtures:load" from failing (#30811). Files with a

“.yml” extension placed under “text/fixtures” directory are treated as test fixtures and cause the failure.

In Rails 6.1.4, db:fixtures:load now ignores YAML files under text/fixtures/files (see https://github.com/rails/rails/pull/42153). This

means that "*.yml" files will no longer cause db:fixtures:load to fail if they are placed in that directory and we can stop using an

awkward ".yml.example" extension.

The attached patch moves the YAML files under /text/fixtures/files directory and changes the file extension back to ".yml".

Related issues:

Related to Redmine - Defect #30811: "rake db:fixtures:load" does not work Closed

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 21067 - 2021-07-10 10:47 - Go MAEDA

Rename test/fixtures/configuration/*.yml.example to test/fixtures/files/configuration/*.yml (#35466).

History

#1 - 2021-06-26 06:27 - Go MAEDA

- Related to Defect #30811: "rake db:fixtures:load" does not work added

#2 - 2021-06-26 06:29 - Go MAEDA

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2021-07-01 07:02 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#4 - 2021-07-10 10:47 - Go MAEDA

- Subject changed from Use file_fixture to load YAML files in Redmine::ConfigurationTest to Rename test/fixtures/configuration/*.yml.example to

test/fixtures/files/configuration/*.yml

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.
